package cn.com.qmth.examcloud.core.questions.dao.entity.computerTestModel;

import cn.com.qmth.examcloud.core.questions.dao.entity.PaperDetail;

import java.util.List;

/**
 * @author chenken
 * @date 2017年7月25日 上午9:43:00
 * @company QMTH
 * @description ComputerTestPaperDetail.java
 */
public class ComputerTestPaperDetail {
    /**
     * 大题号
     */
    private Integer number;
    /**
     * 大题名称
     */
    private String name;
    /**
     * 大题总分
     */
    private Double totalScore;
    /**
     * 小题数量
     */
    private Integer questionCount;
    /**
     * 小题集合
     */
    private List<ComputerTestQuestion> questions;

    public ComputerTestPaperDetail() {
    }

    public ComputerTestPaperDetail(PaperDetail paperDetail) {
        this.number = paperDetail.getNumber();
        this.name = paperDetail.getName();
        this.totalScore = paperDetail.getScore();
    }

    public Integer getNumber() {
        return number;
    }

    public void setNumber(Integer number) {
        this.number = number;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Double getTotalScore() {
        return totalScore;
    }

    public void setTotalScore(Double totalScore) {
        this.totalScore = totalScore;
    }

    public Integer getQuestionCount() {
        return questionCount;
    }

    public void setQuestionCount(Integer questionCount) {
        this.questionCount = questionCount;
    }

    public List<ComputerTestQuestion> getQuestions() {
        return questions;
    }

    public void setQuestions(List<ComputerTestQuestion> questions) {
        this.questions = questions;
    }

}

